using AlienAttack.MonoGame.Textures;

namespace AlienAttack.MonoGame.Things.Bullets;

public class LaserBulletLarge : Bullet
{
    public const int Width = 8;
    public const int Height = 28;

    protected override string TextureName => TextureNames.Bullets.LaserLarge;

    public LaserBulletLarge(float x, float y, float xVel, float yVel, Sprite owner) : base(x, y, xVel, yVel, owner)
    {
        Origin = new(Width/2, Height/2);
        BoundBox = new(0, 0, Width, Height);
        Damage = 3;
    }
}